Hi Guys

I have packaged SAPGUI 6.4 and during installation, I get " Error 1911. Could not Register Type library for file c:\Program Files\SAP\FrontEnd\Sapgui\visu_se.exe. Contact your support personnel.".

When I click ignore, It comes up with other dlls and ocxs files with the same error. Can you help please.

Thanks
0 Comments   [ + ] Show Comments

Comments

Please log in to comment

Rating comments in this legacy AppDeploy message board thread won't reorder them,
so that the conversation will remain readable.

Answers

0
Is 6.4 an MSI based install or do they still have a proprietary setup? (I packaged 6.2 which was non_MSI so I setup captured it ) How are you pushing the package? User assigned or computer assigned?

You might want to try regsvr32 on the files to see if you can get it going manually then figure a way to put your file registrations into the package.
Answered 10/02/2006 by: fosteky
Purple Belt

Please log in to comment
0
i experienced the same errors. Try adding the merge modules. Download them, and add them.
Answered 10/04/2006 by: matrixtushar
Purple Belt

Please log in to comment
0
Put the Typelib entries through registry table and delete the entries from TYPELIB table.
Answered 12/28/2006 by: Harsh
Senior Yellow Belt

Please log in to comment
0
Why would you want to package the SAP gui..? I mean, it's got a good installer of it's own. Using the sapadmin tool you can create administrative images in a flash. Unless your in a company with some sort of a MSI only policy, i can't figure out why you would want to completely repackage an app which has a customizable installer of it's own..
Answered 12/29/2006 by: neo2000
Purple Belt

Please log in to comment
0
A more general comment regarding error 1911 ... In the past I have seen this occur when the typelib file involved was not in it's own separate component and also was not the keypath of a component.

If that is the case, you could try creating a new component then move the problem typelib file into the new component and make it the keypath.


Regards,

Spartacus
Answered 01/02/2007 by: spartacus
Black Belt

Please log in to comment
0
Have you checked the selfregtabel? Make sure it's empty cause that can cause this type of errors.
Answered 01/02/2007 by: Frederik
Senior Yellow Belt

Please log in to comment
0
hi,
Add the merge modules.. this problem will be rectified. This is a known issue in packaging SAP 6.4 and can be resolved by downloading and applying the merge modules.
Answered 01/04/2007 by: matrixtushar
Purple Belt

Please log in to comment
0
I added the merge modules, it took awhile to download them but I did it. I'm still getting this error. Any other tricks I should try?
Answered 01/22/2007 by: russrimm
Yellow Belt

Please log in to comment
Answer this question or Comment on this question for clarity